"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _Utf8Decoder = _interopRequireDefault(require("../utils/Utf8Decoder"));

var _default = {
  /** @module BatchTableParser */

  /** Parse batch table buffer and convert to JSON
   * @function parse
   * @param {ArrayBuffer} buffer - the batch table buffer.
   * @return {Promise} - a promise that resolves with a JSON object.
   *
   */
  parse: function parse(buffer) {
    var content = _Utf8Decoder.default.decode(new Uint8Array(buffer));

    var json = JSON.parse(content);
    return Promise.resolve(json);
  }
};
exports.default = _default;